From 2c9bf9baac625d26a595a037c8e79d3508f4c3e8 Mon Sep 17 00:00:00 2001
From: Boris Smilga <boris.smilga@gmail.com>
Date: Mon, 16 Jul 2012 16:13:39 +0400
Subject: [PATCH 2/4] Implicit initialization of local vars (WITH sans =).

---
 src/lib/ps-loop.lisp |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

diff --git a/src/lib/ps-loop.lisp b/src/lib/ps-loop.lisp
index fb833a3..e4de04e 100644
--- a/src/lib/ps-loop.lisp
+++ b/src/lib/ps-loop.lisp
@@ -154,8 +154,7 @@
 (defun a-with-clause (state) ;; so named to avoid with-xxx macro convention
   (multiple-value-bind (var bindings)
       (var-or-bindings state)
-    (eat state :=)
-    (let ((expr (eat state)))
+    (let ((expr (eat state :if :=)))
       (if var
           (prevar var expr state)
           (prebind bindings expr state)))))
-- 
1.7.3.2

